print-%  : ; @echo $* = $($*)

#########################################################################################
# Globals                                                                               #
#########################################################################################

# project
export PROJECT_DIR := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))

# Shell
SHELL = /bin/bash

# names
HB_NAME = higgsbounds
HS_NAME = higgssignals

LIB_HB = -L${PROJECT_DIR}/../../external/${HB_NAME}/build/lib -lHB
LIB_HS = -L${PROJECT_DIR}/../../external/${HS_NAME}/build/lib -lHS

#########################################################################################
# Install Python Bindings                                                               #
#########################################################################################

# Order of linking important: First HS, then HB
HiggsBounds: HSSMhadr.*.so
HiggsBounds: HBmixed.*.so HBHSmixed.*.so
HBHSmixed.*.so: src/HBHSmixed.F90
	$(PC) -m numpy.f2py -c --f90exec=$(FC) src/HBHSmixed.F90 -m HBHSmixed $(LIB_HS) $(LIB_HB)
HBmixed.*.so: src/HBmixed.F90
	$(PC) -m numpy.f2py -c --f90exec=$(FC) src/HBmixed.F90 -m HBmixed $(LIB_HB)
HSSMhadr.*.so: src/HSSMhadr.F90
	$(PC) -m numpy.f2py -c --f90exec=$(FC) src/HSSMhadr.F90 -m HSSMhadr $(LIB_HS) $(LIB_HB)
